=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
 Build-Depends: bison (>= 2:3.0~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.0.0~),
+               extra-cmake-modules (>= 6.3.0~),
                flex,
                libimobiledevice-dev,
                libmount-dev [linux-any],
                libplist-dev,
                libudev-dev [linux-any],
                libxkbcommon-dev,
-               pkg-kde-tools (>= 0.17.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/solid
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-solid
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-solid.git
