## kf6-solid 6.6.0

=== debian/changelog ===
kf6-solid (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:15 +0200

kf6-solid (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Update symbols file from the logs of buildds, with manual tweaks for
    Linux-only symbols.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Aug 2024 11:04:23 +0200

kf6-solid (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:02 +0200

kf6-solid (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:18 +0200

kf6-solid (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * No-change rebuild to accomodate for the SONAME change in
    libimobiledevice.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Jul 2024 01:36:34 +0200
