## kf6-solid 6.9.0

=== debian/changelog ===
kf6-solid (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:50:30 +0000

kf6-solid (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:40:00 +0000

kf6-solid (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:27 +0100

kf6-solid (6.5.0-0ubuntu3) oracular; urgency=medium

  * Restore building with libimobiledevice now that transition has been
    reverted.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Sep 2024 03:18:44 +0100

kf6-solid (6.5.0-0ubuntu2) oracular; urgency=medium

  * For now build without libimobiledevice.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 19:43:18 +0100

kf6-solid (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:36 +0100

kf6-solid (6.4.0-0ubuntu2) oracular; urgency=medium

  * Rebuild against latest libimobiledevice

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Jul 2024 14:07:05 -0600

kf6-solid (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:55 +0100
