=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: kf6-solid
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: bison (>= 2:3.0~),
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               bison (>= 2:3.0~),
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                flex,
                libimobiledevice-dev,
                libmount-dev [linux-any],
                libplist-dev,
                libudev-dev [linux-any],
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/solid
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-solid
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-solid
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-solid
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-solid.git
 Rules-Requires-Root: no
 
 Package: libkf6solid-bin
@@ -55,7 +54,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6solid6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6solid-doc (= ${source:Version}),
 Description: Qt library to query and control hardware
