=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                bison (>= 2:3.0~),
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                flex,
                libimobiledevice-dev,
                libmount-dev [linux-any],
