## kf6-solid 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.6.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
 project(Solid VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.6.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -19,7 +19,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml Gui)
 
 
@@ -76,10 +76,12 @@
                        PURPOSE "Needed to build the iOS device support backend"
                       )
 
-# Used by the UDisks backend on Linux
-find_package(LibMount)
-set_package_properties(LibMount PROPERTIES
-                       TYPE OPTIONAL)
+if (CMAKE_SYSTEM_NAME MATCHES Linux)
+    # Used by the UDisks backend on Linux
+    find_package(LibMount)
+    set_package_properties(LibMount PROPERTIES
+                           TYPE REQUIRED)
+endif()
 
 include(ECMPoQmTools)
 
@@ -94,24 +96,11 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SolidConfigVersion.cmake"
                         SOVERSION 6)
 
-# TODO: Remove these
-remove_definitions(-DQT_NO_CAST_FROM_ASCII)
-remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
-
 ecm_set_disabled_deprecation_versions(
-    QT 6.5
+    QT 6.8.0
 )
 
 ecm_install_po_files_as_qm(poqm)
-
-option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
-add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")
-
-option(WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management" Off)
-add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_API "WIP: Asynchronous API for power management")
-
-option(WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asynchronous api" Off)
-add_feature_info(Solid::PowerManagement WITH_NEW_POWER_ASYNC_FREEDESKTOP "WIP: Freedesktop backend for the asynchronous api")
 
 include(SolidBackendsMacros)
 
@@ -139,7 +128,12 @@
     add_device_backend(iokit)
 elseif (WIN32)
     add_device_backend(win)
-elseif (NOT ANDROID)
+elseif (ANDROID)
+    # Android specific Storage and other device APIs not implemented
+elseif (HAIKU)
+    # Haiku OS specific Storage and other device APIs not implemented
+else()
+    # BSDs and other Unix like systems
     add_device_backend(upower)
     add_device_backend(fstab)
