=== debian/changelog ===
kf6-solid (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:56:20 +0000

kf6-solid (6.11.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild against libimobiledevice-1.0

 -- Rik Mills <rikmills@kde.org>  Sat, 01 Mar 2025 10:48:41 +0000

kf6-solid (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:51:22 +0000

kf6-solid (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:22:41 +0000
